import 'package:numerology/numerology.dart';

void main() {
  final nc = NumerologyCalculator();
  final birthday = DateTime(1999, 12, 22);
  final rulingNum = nc.rulingNumber(birthday); // 8
  print(rulingNum);

  /// Current date is 05-06-2021
  final currentDate = DateTime.now();
  final personalYearNum = nc.personalYear(birthday); // 3
  print(personalYearNum);

  final personalMonthNum = nc.personalMonth(currentDate, birthday); // 8
  print(personalMonthNum);

  final personalDayNum = nc.personalDay(currentDate, birthday); // 5
  print(personalDayNum);

  final lifePathNum = nc.lifePathNumber(birthday); // 4 + 3 + 1 = 8
  print(lifePathNum);

  final attitudeNum = nc.attitudeNumber(birthday); // 12 + 22 = 34 = 7
  print(attitudeNum);

  final destinyNum = nc.destinyNumber(birthday); // 8
  print(destinyNum);
}
